Fish_ArenaFreeRankingCFG = {}

function Fish_ArenaFreeRankingCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_ArenaFreeRankingCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Type = 12, StartRank = 1, EndRank = 1, RewardItem = 1, RewardCount = 500000}
	self.datas[2] = {ID = 2, Type = 12, StartRank = 2, EndRank = 2, RewardItem = 1, RewardCount = 300000}
	self.datas[3] = {ID = 3, Type = 12, StartRank = 3, EndRank = 3, RewardItem = 1, RewardCount = 150000}
	self.datas[4] = {ID = 4, Type = 12, StartRank = 4, EndRank = 5, RewardItem = 1, RewardCount = 50000}
	self.datas[5] = {ID = 5, Type = 12, StartRank = 6, EndRank = 10, RewardItem = 1, RewardCount = 20000}
	self.datas[6] = {ID = 6, Type = 13, StartRank = 1, EndRank = 1, RewardItem = 1, RewardCount = 1000000}
	self.datas[7] = {ID = 7, Type = 13, StartRank = 2, EndRank = 2, RewardItem = 1, RewardCount = 500000}
	self.datas[8] = {ID = 8, Type = 13, StartRank = 3, EndRank = 3, RewardItem = 1, RewardCount = 300000}
	self.datas[9] = {ID = 9, Type = 13, StartRank = 4, EndRank = 5, RewardItem = 1, RewardCount = 150000}
	self.datas[10] = {ID = 10, Type = 13, StartRank = 6, EndRank = 10, RewardItem = 1, RewardCount = 50000}
end

Fish_ArenaFreeRankingCFG:init()
